## org.irisa.genouest.logol.types
Class FixedVariable

    java.lang.Object
      org.irisa.genouest.logol.types.AbstractVariable
          org.irisa.genouest.logol.types.Variable
              org.irisa.genouest.logol.types.FixedVariable

    public class FixedVariable

extends Variable

Default class managing Fixed variable type

Author:
  osallou

Constructor Summary
`FixedVariable(int varID)`

Method Summary
`java.lang.String` `content(LogolVariable lvar)` Return prolog content for the variable definition

Methods inherited from class org.irisa.genouest.logol.types.AbstractVariable
`externalPredicate, getProlog`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedVariable

    public FixedVariable(int varID)

Method Detail

### content

    public java.lang.String content(LogolVariable lvar)
                             throws GrammarException

  Return prolog content for the variable definition

  Overrides:
    `content` in class `Variable`
  Parameters:
    `lvar` - variable to analyse
  Returns:
    prolog sentence to manage constraints etc...
  Throws:
    `GrammarException`